Subject: [bug#77297] [PATCH v3] gnu: Add linux-libre 6.14.

From: Ahmad Draidi <[email-masked]>
Date: Fri, 18 Apr 2025 13:28:23 +0400

On 4/18/25 01:08, Leo Famulari wrote:
> On Thu, Apr 17, 2025 at 01:37:45PM +0400, Ahmad Draidi wrote:
>> On 4/17/25 04:15, Leo Famulari wrote:
>>> On Fri, Apr 11, 2025 at 02:33:06PM +0200, Andreas Enge wrote:
>>>> Green badge in QA!
>>> That's great, but it doesn't work on my end. When I try to build a
>>> bare-bones system using linux-libre 6.14.2, the linux-modules.drv fails
>>> to build like this:
>> Small data point. I've been using patch v3 on my system for several days
>> without issues.
> Interesting! Are you able to share your config.scm with us?

I forgot to mention I'm using nonguix and a couple of custom kernel 
build parameters. Sorry about that.

My config.scm is 1k+ lines and has some things that need to be redacted. 
Instead, below are the parts that I think are relevant.

A quick aside: maybe it's a good idea to base Guix kernel configs off of 
Debian and apply a diff? Like an automated script that pulls the Debian 
config and applies the Guix specific kernel build parameters to generate 
kernel package patches for Guix. If that sounds like a good idea, I 
might be able to put together a script to do it and share.

---

(use-modules
  (gnu)
  (gnu system setuid)
  (guix channels)
  (guix download)
  (guix gexp)
  (guix packages)
  (guix utils)
  (nongnu system linux-initrd)
  (nongnu packages linux)
  (nongnu packages game-client)
  (srfi srfi-1))

[...]

(operating-system
  (locale "en_US.utf8")

[...]

(kernel
   (corrupt-linux linux-libre-6.14
                  #:configs
                  '("CONFIG_LOCALVERSION=\"-local\""

                    "# CONFIG_PREEMPT_VOLUNTARY is not set"
                    "CONFIG_PREEMPT=y")))

[...]
  (kernel-arguments
   (append
    (list "zswap.enabled=1"
          "zswap.compressor=zstd"
          "zswap.zpool=zsmalloc"
          "modprobe.blacklist=nouveau"
          "intel_iommu=on"
          "iommu=pt")
    %default-kernel-arguments))
  (initrd microcode-initrd)
  (initrd-modules
   (cons* "xxhash_generic" %base-initrd-modules))
  (firmware
   (cons* radeon-firmware amdgpu-firmware %base-firmware))

[...]

)

---